Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynAnyFactory::InconsistentTypeCode Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynAnyFactory::InconsistentTypeCode:

[legend]
Collaboration diagram for DynamicAny::DynAnyFactory::InconsistentTypeCode:

[legend]
List of all members.

## Public Methods
| InconsistentTypeCode (void)
| InconsistentTypeCode (const InconsistentTypeCode &)
| ~InconsistentTypeCode (void)
InconsistentTypeCode & | operator= (const InconsistentTypeCode &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
## Static Public Methods
InconsistentTypeCode * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

DynamicAny::DynAnyFactory::InconsistentTypeCode::InconsistentTypeCode | ( | void |  | ) |

DynamicAny::DynAnyFactory::InconsistentTypeCode::InconsistentTypeCode | ( | const InconsistentTypeCode & |  | ) |

DynamicAny::DynAnyFactory::InconsistentTypeCode::~InconsistentTypeCode | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * DynamicAny::DynAnyFactory::InconsistentTypeCode::_alloc | ( | void |  | ) | `[static]`

DynamicAny::DynAnyFactory::InconsistentTypeCode * DynamicAny::DynAnyFactory::InconsistentTypeCode::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void DynamicAny::DynAnyFactory::InconsistentTypeCode::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void DynamicAny::DynAnyFactory::InconsistentTypeCode::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * DynamicAny::DynAnyFactory::InconsistentTypeCode::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void DynamicAny::DynAnyFactory::InconsistentTypeCode::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

InconsistentTypeCode& DynamicAny::DynAnyFactory::InconsistentTypeCode::operator= | ( | const InconsistentTypeCode & |  | ) |

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp